Get a node for a Kubernetes cluster

GET/v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}

You can retrieve details of a node by performing a GET request to /v1/kubernetes_clusters/{kubernetes_cluster_id}/nodes/{node_id}. The ID of a cluster and node are required path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

kubernetes_cluster_id*string

A unique identifier of a Kubernetes cluster.

node_id*string

A unique identifier of a node within the cluster.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/kubernetes_clusters/oQeZ0Ebp/nodes/WPe99PeL"
{  "id": "WPe99PeL",  "number": 130,  "hostname": "node130",  "configuration": "SSD.50",  "type": "cloud",  "role": "node",  "status": "pending",  "private_ipv4_address": "127.0.99.49",  "public_ipv4_address": "127.0.101.50",  "location_id": 1618,  "location_code": "location3339",  "ref_id": "3YaOYpdx",  "cluster_id": "oQeZ0Ebp",  "node_group": {    "id": "X7axGrey",    "name": "node-group-102",    "description": null,    "created_at": "2026-05-28T07:05:20.981Z",    "updated_at": "2026-05-28T07:05:20.981Z"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "created_at": "2026-05-28T07:05:20Z",  "updated_at": "2026-05-28T07:05:20Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}